/*
 * Sakreble! - open word game.
 * Copyright (C) 2004 Marcin Gajda
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef ALFABET_H
#define ALFABET_H

#include <qwidget.h>

class Alphabet
{
    public:
	Alphabet();

	int getLetterPoints( char c ) { return letterPoints[(unsigned char)c]; }
	char upperCaseDependOnPolishLettersVisibility( char );
	char lowerCase( char );
	char upperCase( char );
	void initializeLetters();
	int letter( char i ) { return letters[(unsigned char)i]; }
	int getLettersLeft() { return lettersLeft; }
	void setLettersLeft( int p ) { lettersLeft = p; }
	void substractLettersLeft() { lettersLeft--; }
	void addLettersLeft() { lettersLeft++; }
	void substractLetter( char c ) { letters[(unsigned char)c]--; }
	void addLetter( char c ) { letters[(unsigned char)c]++; }
	void setLetter( char c , int ile ) { letters[(unsigned char)c] = ile; }
	char alphabetLetter( int which_f ) { return alphabetLetters[which_f-1]; }
	int isUpperCase( char );
	void setPolishLettersVisibility( int i ) { no_polish_letters_visible = i; }
	int getPolishLettersVisibility() { return no_polish_letters_visible; }
	char addOgonek( char );
	int isOgonekNeeded( char );
	int whereVerticalOgonek( char );
	int whereHorizontalOgonek( char );

    private:
	int letterPoints[256];
	int letters[256];
	int lettersLeft;
	char alphabetLetters[33];
	int no_polish_letters_visible;
};
#endif
