/*
 * Sakreble! - open word game.
 * Copyright (C) 2004 Marcin Gajda
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef DUPA_H
#define DUPA_H


#define NORMAL 0
#define TWO_LETTER_BONUS 1
#define THREE_LETTER_BONUS 2
#define TWO_WORD_BONUS 3
#define THREE_WORD_BONUS 4

#define EMPTY_FIELD ' '
#define BELOW_THE_GAME '.' // This sould be > 15

#define BLANK '#'

#define HORIZONTAL 0
#define VERTICAL 1

#define MAX_WORD_LENGTH 15

#define VIRTUAL_PLAYER 0
#define REAL_PLAYER 1

struct link_struct;
struct word_struct;

struct pattern_struct
{
    char fields[MAX_WORD_LENGTH];	// Jakie letters mamy, spacja - puste, kropa - juz koniec
    char letters[MAX_WORD_LENGTH];	// Na whichch fieldsch sa letters
    char notletters[MAX_WORD_LENGTH];	// A na whichch ich nie ma
    char x, y, horizont, length, number_of_letters;
    struct link_struct *link;
    struct word_struct *word;
    struct pattern_struct *next;
    struct pattern_struct *next_same;
};

struct link_struct
{
    struct pattern_struct *pattern;	// Z whichm patternsm
    struct link_struct *next;
};

struct word_struct
{
    char *word;
    int *blanks;	// Gdzie sa blanks w tym slowie
    int number_of_blanks;
    int points;
    struct word_struct *next;
};

#endif
